[arch-commits] Commit in geoip-database/repos (extra-any extra-any/PKGBUILD)
Evangelos Foutras
foutrelis at archlinux.org
Thu May 3 00:50:11 UTC 2012
Date: Wednesday, May 2, 2012 @ 20:50:10
Author: foutrelis
Revision: 158107
archrelease: copy trunk to extra-any
Added:
geoip-database/repos/extra-any/
geoip-database/repos/extra-any/PKGBUILD
(from rev 158106, geoip-database/trunk/PKGBUILD)
----------+
PKGBUILD | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 48 insertions(+)
Copied: geoip-database/repos/extra-any/PKGBUILD (from rev 158106, geoip-database/trunk/PKGBUILD)
===================================================================
--- extra-any/PKGBUILD (rev 0)
+++ extra-any/PKGBUILD 2012-05-03 00:50:10 UTC (rev 158107)
@@ -0,0 +1,48 @@
+# $Id$
+# Maintainer: Evangelos Foutras <evangelos at foutrelis.com>
+
+pkgname=geoip-database
+pkgver=20120501
+pkgrel=1
+pkgdesc="GeoLite country geolocation database compiled by MaxMind"
+arch=('any')
+url="http://www.maxmind.com/app/ip-location"
+license=('custom:OPEN DATA LICENSE')
+source=(GeoIP-$pkgver.dat.gz::http://geolite.maxmind.com/download/geoip/database/GeoLiteCountry/GeoIP.dat.gz
+ GeoIPv6-$pkgver.dat.gz::http://geolite.maxmind.com/download/geoip/database/GeoIPv6.dat.gz
+ http://geolite.maxmind.com/download/geoip/database/LICENSE.txt)
+noextract=(GeoIP-$pkgver.dat.gz
+ GeoIPv6-$pkgver.dat.gz)
+sha256sums=('5bde5e2d39464dfafe5a7628f0fc77b88aee1a17b96f5184ecf452eea5dab5b3'
+ 'ecfe5fdc4c70d1ff752ece92f92ab7b7bf43c73c5b3728ee530272ca760d57e7'
+ '83a4cb82ef8953c0107886b49bc39fcf77590a222d30e778d48f5d92f5b5e383')
+
+build() {
+ cd "$srcdir"
+
+ for _database_name in GeoIP GeoIPv6; do
+ gunzip -c $_database_name-$pkgver.dat.gz >$_database_name.dat
+ done
+}
+
+check() {
+ cd "$srcdir"
+
+ for _database in {GeoIP,GeoIPv6}.dat; do
+ if ! grep -q 'MaxMind Inc All Rights Reserved' $_database; then
+ error "Copyright notice is missing from $_database; something is fishy!"
+ return 1
+ fi
+ done
+}
+
+package() {
+ cd "$srcdir"
+
+ install -d "$pkgdir/usr/share/GeoIP"
+ install -m644 -t "$pkgdir/usr/share/GeoIP" GeoIP.dat GeoIPv6.dat
+
+ install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list